Summary: File compression and packaging utility compatible with ARJ for MS-DOS
Name: arj
Version: 3.10.22
Release: %mkrel 14
Source0: http://prdownloads.sourceforge.net/arj/%{name}-%{version}.tar.bz2
Patch0:  http://ftp.debian.org/debian/pool/main/a/%{name}/%{name}_%{version}-6.diff.gz
Patch1:  arj-3.10.22-fedora-missing-protos.patch
Patch2:  arj-3.10.22-fedora-custom-printf.patch
# Filed into upstream bugtracker as https://sourceforge.net/tracker/?func=detail&aid=2853421&group_id=49820&atid=457566
Patch3:  arj-3.10.22-fedora-quotes.patch
Patch4:  arj-3.10.22-mageia-fix_format_string.patch
Patch5:  arj-3.10.22-parallel.patch
Patch6:  arj-3.10.22-debian-security-afl.patch
Patch7:  arj-3.10.22-debian-security-traversal-dir.patch
Patch8:  arj-3.10.22-debian-security-traversal-symlink.patch
License: GPLv2
BuildRequires: automake
Group: Archiving/Compression
Url: http://arj.sourceforge.net/

%description
A portable version of the ARJ archiver, available for a growing number
of DOS-like and UNIX-like platforms on a variety of architectures.
This aims for compatibility with the original ARJ archiver by ARJ
Software, Inc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

for i in debian/patches/00*.patch; do
  patch -p1 < $i
done

%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

cd gnu
# (misc) fix compile on x86_64, as the platform is otherwise not recognized
# by the current config.sub
# cp /usr/share/automake-1.11/config.sub .
autoconf

%build
cd gnu
%configure
cd ..
# Disable binary strippings
%make ADD_LDFLAGS=""

%install
%makeinstall

%files
%doc ChangeLog* doc/*
%_bindir/arj
%_bindir/arj-register
%_bindir/arjdisp
%_bindir/rearj
%dir %_libdir/arj/
%_libdir/arj/arjcrypt.so
%_mandir/man1/*arj*.1*





%changelog
* Wed Feb 10 2016 umeabot <umeabot> 3.10.22-14.mga6
+ Revision: 953105
- Mageia 6 Mass Rebuild

  + tv <tv>
    - explain

* Wed Sep 16 2015 tv <tv> 3.10.22-13.mga6
+ Revision: 879811
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 3.10.22-12.mga6
+ Revision: 875121
- Fix build with new rpm ( empty debuginfo)

* Mon Mar 30 2015 zezinho <zezinho> 3.10.22-11.mga5
+ Revision: 819414
- debian security patches fix #15586

* Wed Oct 15 2014 umeabot <umeabot> 3.10.22-10.mga5
+ Revision: 741328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10.22-9.mga5
+ Revision: 677900
- Mageia 5 Mass Rebuild

* Sun Mar 16 2014 wally <wally> 3.10.22-8.mga5
+ Revision: 604065
- rebuild for mga5

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon May 20 2013 pterjan <pterjan> 3.10.22-7.mga4
+ Revision: 413572
- Fix parallel build

* Fri Jan 11 2013 umeabot <umeabot> 3.10.22-7.mga3
+ Revision: 346079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 20 2011 zezinho <zezinho> 3.10.22-7.mga2
+ Revision: 170079
- use fedora and debian patches to fix build
- imported package arj


* Fri Sep 09 2011 Götz Waschk <waschk@mandriva.org> 3.10.22-7mdv2012.0
+ Revision: 699090
- rebuild

* Mon Sep 07 2009 Michael Scherer <misc@mandriva.org> 3.10.22-6mdv2011.0
+ Revision: 432473
- fix build ( patch 2 ), since newer glibc have strnlen
- fix the license, thanks to Andrey Bondrov
- adapt to build with newer automake

* Sat Mar 07 2009 Michael Scherer <misc@mandriva.org> 3.10.22-5mdv2009.1
+ Revision: 351512
- fix build on x86_64
- fix build, patch 1, correct format string error

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild
    - rebuild

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 3.10.22-3mdv2009.0
+ Revision: 226169
- rebuild

* Thu Dec 20 2007 Olivier Blin <blino@mandriva.org> 3.10.22-2mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jun 24 2006 Götz Waschk <waschk@mandriva.org> 3.10.22-2mdk
- Rebuild
- use mkrel

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 3.10.22-1mdk
- New release 3.10.22

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 3.10.21-1mdk
- initial package

